Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.net.http
Class HttpOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              weblogic.net.http.HttpOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Deprecated. Deprecated in WebLogic Server 9.0

    public final class HttpOutputStream

extends FilterOutputStream

A class with println() methods like printStream, but does not swallow IOExceptions.

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`HttpOutputStream(OutputStream o)` Deprecated.

Method Summary
`void` | `print(String s)` Deprecated.
`void` | `write(byte[] buf)` Deprecated.
`void` | `write(byte[] buf, int off, int len)` Deprecated.
`void` | `write(int i)` Deprecated.

Methods inherited from class java.io.FilterOutputStream
`close, flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpOutputStream

    public HttpOutputStream(OutputStream o)

  Deprecated.

Method Detail

### write

    public void write(int i)
               throws IOException

  Deprecated.
  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws IOException

  Deprecated.
  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] buf)
               throws IOException

  Deprecated.
  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### print

    public void print(String s)
               throws IOException

  Deprecated.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD